﻿using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using Syncfusion.DocToPDFConverter;
using Syncfusion.OfficeChartToImageConverter;
using Syncfusion.Pdf;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace winforms_test
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            Syncfusion.Licensing.SyncfusionLicenseProvider.RegisterLicense("<my key here>");
            WordDocument wordDocument = new WordDocument(@"C:\syncfusion doc\templ straight7 7pages.docx", FormatType.Docx);

            //Initializes the ChartToImageConverter for converting charts during Word to pdf conversion
            wordDocument.ChartToImageConverter = new ChartToImageConverter();


            //Creates an instance of the DocToPDFConverter - responsible for Word to PDF conversion
            DocToPDFConverter converter = new DocToPDFConverter();

            //Sets true to enable fast rendering .
            converter.Settings.EnableFastRendering = true;

            //Sets a value indicating whether to optimize the memory usage for the identical images in Word to PDF conversion .
            converter.Settings.OptimizeIdenticalImages = true;

            //Converts Word document into PDF document
            PdfDocument pdfDocument = converter.ConvertToPDF(wordDocument);

            //Saves the PDF file to file system
            pdfDocument.Save(@"C:\syncfusion doc\WordtoPDF.pdf");

            //Closes the instance of document objects
            pdfDocument.Close(true);

            wordDocument.Close();
        }
    }
}
